%define		_status		stable
%define		_pearname	Text_Diff
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - Engine for performing and rendering text diffs
Summary(pl.UTF-8):	%{_pearname} - Silnik do przetwarzania i generowania różnic pomiędzy tekstami
Name:		php-pear-%{_pearname}
Version:	1.1.1
Release:	4
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	283a929608a08a4639072d9868f9ec44
URL:		http://pear.php.net/package/Text_Diff/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Suggests:	php-pecl-xdiff
Obsoletes:	php-pear-Text_Diff-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a text-based diff engine and renderers for
multiple diff output formats.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet dostarcza silnik do przetwarzania różnic między tekstami
oraz funkcje generujące różnice w wielu formatach wyjściowych.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log
%doc optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Text/*.php
%{php_pear_dir}/Text/Diff
%changelog
* Wed May 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Text_Diff.git;a=log;h=master

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 212e306
- use virtual php extension deps (to be independant of php version)
- release 4 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 2d23923
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 434f0d8
- dropped -tests

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> ce88d9e
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> b2f0902
- updated to: 1.1.1

* Wed Sep 10 2008 Adam Gołębiowski <adamg@pld-linux.org> e3835b6
- updated to 1.1.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> e8592b4
- rel 2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 0470549
- 0.3.2

* Thu Nov 01 2007 Adam Gołębiowski <adamg@pld-linux.org> 44899a0
- updated to 0.3.1

* Fri Sep 21 2007 Adam Gołębiowski <adamg@pld-linux.org> 177c83c
- updated to 0.3.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 4de7079
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7c774fd
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 6e4cdb6
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 133a15c
- AutoProv: no for -tests

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 34bb1d4
- 0.2.1

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> a0d8acb
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 54ac7dc
- group Development/Languages/PHP for -tests

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 0d97746
- define Epoch to 0 explicitly when using it

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> c7db7e8
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> b4d17cd
- semi automatically added deps from pear

